package com.neusoft.smart.pos.payorder.constants;

import com.neusoft.smart.pos.framework.constants.CommonCode;

/**
 * @author zcf
 * @date 2017-08-13 10：43
 * @description 业务错误信息使用枚举类
 */
public enum PayErrorCode implements CommonCode {

    PAY_TYPE_IS_EMPTY("11001", "支付类型不能为空"),
    PAY_AMOUNT_IS_EMPTY("11002", "支付金额不能为空"),
    PAY_AMOUNT_ERROR("11003", "支付金额输入错误"),
    ;

    private String code;
    private String message;

    PayErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

}
